function main_builder()
    // Toolbox settings
    TOOLBOX_NAME = "xs2tikz";
    TOOLBOX_TITLE = "xs2tikz";
    toolbox_dir = get_absolute_file_path("builder.sce")
    minimal_version = [6 0 0];

    // At least version 6.0.x is required
    check_version(minimal_version);

    // Build the toolbox
    tbx_builder_macros(toolbox_dir);
    tbx_builder_help(toolbox_dir);
    tbx_build_loader(toolbox_dir);
    tbx_build_cleaner(toolbox_dir);
endfunction

function check_version(minimal_version)
    version = getversion("scilab")
    if version(1) < minimal_version(1) & version(2) < minimal_version(2)
        message = "Scilab %d.%d or more is required\n";
        error(msprintf(message, minimal_version(1), minimal_version(2)));
    end
endfunction

// Clear building data
main_builder();
clear main_builder;
