/* Copyright 2018 Manuel-Tobias Csapo

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
function tikzStrings = add_preambel()
// Add a standalone preamble
//
// Syntax
// tikzStrings = add_preambel()
//
// Parameters
//      tikzStrings: column vector containing generated strings
//
// Description
// Returns a column vector with strings for standalone LaTeX files.
//
// Authors
// Manuel Csapo, 2018
    tikzStrings = msprintf("\\documentclass[12pt,a4paper]{scrartcl}\n" + ...
                           "\\usepackage[T1]{fontenc}\n" +  ...
                           "\\usepackage[utf8]{inputenc}\n" + ...
                           "\\usepackage{pgfplots}\n" + ...
                           "\\usepackage{grffile}\n" + ...
                           "\\pgfplotsset{compat=newest}\n" + ...
                           "\\usetikzlibrary{plotmarks}\n" + ...
                           "\\usetikzlibrary{arrows.meta}\n" + ...
                           "\\usepgfplotslibrary{patchplots}\n" + ...
                           "\\usepackage{amsmath}\n" + ...
                           "\n");
endfunction
