/* Copyright 2018 Manuel-Tobias Csapo

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
function associatedLegend = get_associated_legend(axis)
// Get the legend associated to the given axis, if any
//
// Syntax
// associatedLegend = get_associated_legend(axis)
//
// Parameters
//      axis: axis handle
//      associatedLegend: handle of the axis' associated legend
//
// Description
// Get the legend handle associated to the given axis. Returns empty if none exists.
// This function is used in create_axes_struct.
//
// Authors
// Manuel Csapo, 2018
    for axisChild = axis.children'
        if axisChild.type == "Legend"
            associatedLegend = axisChild
            return
        end
    end

    associatedLegend = ""
endfunction
