/* Copyright 2018 Manuel-Tobias Csapo

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
function colormap = get_colormap(figure)
// Get colormap
//
// Syntax
// colormap = get_colormap(figure)
//
// Parameters
//      figure: figure handle
//      colormap: a n-by-3 matrix, containing n columns of colors (rgb)
//
// Description
// Gets the figures colormap from the figure handle and returns it.
// This funcion is used in create_figure_struct.
//
// Authors
// Manuel Csapo, 2018
    if typeof(figure) == "handle"
        if figure.type == "Figure"
            colormap = figure.color_map
        else
            message = "%s: Wrong type of handle as input argument.\n"
            error(msprintf(message, "get_colormap"));
        end
    else
        message = "%s: Wrong type of handle as input argument.\n"
        error(msprintf(message, "get_colormap"));
    end
endfunction
