/* Copyright 2018 Manuel-Tobias Csapo

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
function figureSize = get_figure_size(figure)
// Returns figure size from figure handle
//
// Syntax
// figureSize = get_figure_size(figure)
//
// Parameters
//      figure: figure handle
//      figureSize: a 1-by-2 matrix with width and heigth of the figure
//
// Description
// Gets the figure size from the figure handle and returns it.
// This function is used in create_figure_struct.
//
// Authors
// Manuel Csapo, 2018
    if typeof(figure) == "handle"
        if figure.type == "Figure"
            figureSize = figure.figure_size
        else
            message = "%s: Wrong type of handle as input argument.\n"
            error(msprintf(message, "getFigureSize"));
        end
    else
        message = "%s: Wrong type of handle as input argument.\n"
        error(msprintf(message, "get_figure_size"));
    end
endfunction
