/* Copyright 2018 Manuel-Tobias Csapo

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
function label_figure(stringVector)
// Label the figures x and y axis and set title
//
// Syntax
// label_figure(stringVector)
//
// Parameters
//      stringVector: vector of strings containing the "title", "xlabel" and "ylabel"
//
// Description
// Used to simpler label the plotting examples. The string vector is given in the form
// ["title" "xlabel" "ylabel"]
//
// Examples
// x = linspace(0, 2*%pi, 100);
// plot(x, sin(x));
// label_figure(["Sine" "x" "f(x)"];
//
// Authors
// Manuel Csapo, 2018
    if size(stringVector, 'r') ~= 1 || size(stringVector, 'c') ~= 3
        disp("Input argument must be a vector with one row and three column elements!")
        return
    end
    title(stringVector(1));
    xlabel(stringVector(2));
    ylabel(stringVector(3));
endfunction
