/* Copyright 2018 Manuel-Tobias Csapo

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
function figHandle = prepare_figure(figureNumber)
// Clears and set a figure for the plotting examples
//
// Syntax
// figHandle = prepare_figure(figureNumber)
//
// Parameters
//      figureNumber: number of figure to prepare
//      figHandle: handle of the prepared figure
//
// Description
// Clears the given figure number and returns a handle to a prepared figure.
//
// Examples
// fig = prepare_figure(1)
//
// Authors
// Manuel Csapo, 2018
    clf(figureNumber)
    figHandle = figure(figureNumber)
endfunction
