/* Copyright 2018 Manuel-Tobias Csapo

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
function show_license()
// Print the license notice for the GPLv3 in console window
//
// Syntax
// show_license()
//
// Parameters
//    none
//
// Description
// Show a short coypright notice and a dialog in which the user
// can choose to show the long-form license
//
// Authors
// Manuel Csapo, 2018
printf("xs2tikz Copyright (C) 2018 Manuel-Tobias Csapo\n");
printf("This program comes with ABSOLUTELY NO WARRANTY.\n");
printf("This is free software, and you are welcome to redistribute it under \n");
printf("certain conditions; type <show license> for details.\n");
command = input("Your choice: ", "string")
select command
   case "show license"
      // Find path for license file from current point of view
      base = get_function_path("show_license");
      base = fullpath(fullfile(fileparts(base)));
      licensePath = fullfile(base, "../", "../", "COPYING")
      // Read from file
      fileDescriptor = open_file(licensePath, 'read');
      license = mgetl(fileDescriptor);
      mclose(fileDescriptor);

      for line = license'
         disp(line)
      end
   else
      return;
end
endfunction
