// Unit tests for color defines
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - Simple graph with three colors
x = linspace(0, 2*%pi);

plot(x, sin(x));

expected = msprintf("\\definecolor{%s}{rgb}{0.000000,0.000000,0.000000}%%\n", "black");
expected($+1) = msprintf("\\definecolor{%s}{rgb}{0.000000,0.000000,1.000000}%%\n", "blue1");
expected($+1) = msprintf("\\definecolor{%s}{rgb}{1.000000,1.000000,1.000000}%%\n", "white");
expected($+1) = msprintf("\n");

attributes = gather_graphic_attributes();
computed = add_color_defines(attributes);

assert_checkequal(computed, expected)

clf();

// Test 2 - Empty graphic

expected = msprintf("\\definecolor{%s}{rgb}{0.000000,0.000000,0.000000}%%\n", "black");
expected($+1) = msprintf("\\definecolor{%s}{rgb}{1.000000,1.000000,1.000000}%%\n", "white");
expected($+1) = msprintf("\n");

attributes = gather_graphic_attributes();
computed = add_color_defines(attributes);

assert_checkequal(computed, expected)

clf();
