// Unit tests for axes struct
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - One axis
x = linspace(0, 2*%pi);
plot(x, sin(x));

a = gca();

expected = struct(...
           "handle", a, ...
           "visible", a.visible, ...
           "children", a.children, ...
           "x_bounds", [a.x_ticks.locations(1), a.x_ticks.locations($)], ...
           "y_bounds", [a.y_ticks.locations(1), a.y_ticks.locations($)], ...
           "title", a.title.text, ...
           "title_font", a.title.font_style);

computed = create_axes_struct(gcf());

for name = fieldnames(expected)'
    expectedField = getfield(name, expected);
    computedField = getfield(name, computed{:});
    assert_checkequal(computedField, expectedField)
end

clf();

// TODO: Test is not complete yet!
// Test 2 - Multiple axes
x = linspace(0, 2*%pi);

subplot(211)
plot(x, sin(x))
subplot(212)
plot(x, cos(x))

computed = create_axes_struct(gcf());

assert_checkequal(size(computed, "r"), 2)
