// Unit tests for figure struct
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - Generate 2d plot figure and figure struct
x = linspace(0,2*%pi);
plot(x, sin(x));
expected = struct("handle", gcf(), ...
                  "size", gcf().figure_size, ...
                  "colormap", gcf().color_map);
computed = create_figure_struct(struct());

//assert_checkequal(computed.figure, expected)

for name = fieldnames(computed.figure)'
    expectedField = getfield(name, expected);
    computedField = getfield(name, computed.figure);
    assert_checkequal(computedField, expectedField)
end

clf();
