// Unit tests for axes struct
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - One legend
x = linspace(0, 2*%pi);

plot(x, sin(x));

expected = [];

for child = gca().children'
  if child.type ~= "Legend"
    continue;
  end
  expected = struct(...
             "handle", child, ...
             "links", child.links, ...
             "visible", child.visible, ...
             "text", flipdim(child.text, 1), ...
             "position", child.position);
end

computed = create_legends_struct(create_axes_struct(gcf()), gcf().color_map);

for name = fieldnames(expected)'
    expectedField = getfield(name, expected);
    computedField = getfield(name, computed{:});
    assert_checkequal(computedField, expectedField)
end

clf();

// TODO: Test is not complete yet!
// Test 2 - Multiple legends
x = linspace(0, 2*%pi);

subplot(211)
plot(x, sin(x))
legend(['sin(x)'])
subplot(212)
plot(x, cos(x))
legend(['cos(x)'])

computed = create_legends_struct(create_axes_struct(gcf()), gcf().color_map);

assert_checkequal(size(computed, "r"), 2)

clf();

// Test 3 - Invisible legend
x = linspace(0, 2*%pi);

plot(x, sin(x))
legend(['sin(x)'])

index = find(gca().children'.type == "Legend");
gca().children(index).visible = "off";

computed = create_legends_struct(create_axes_struct(gcf()), gcf().color_map);

assert_checkequal(computed, {})

clf();
