// Unit test for field iterator
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - Empty struct

computed = field_iterator(struct())

assert_checktrue(isempty(computed))

// Test 2 - Iterate over non-empty struct

test = struct(...
       "field1", 10, ...
       "field2", 20, ...
       "field3", 30);

expected = list(10, 20, 30);
computed = field_iterator(test);

assert_checkequal(computed, expected)

// Test 3 - Iterate over non-empty cell

test = cell()

test{1} = 10;
test{2} = 20;

expected = list(10, 20);
computed = field_iterator(test);

assert_checkequal(computed, expected)
