// Unit tests for Gathering
// Author: Manuel-Tobias Csapo, 2018

// Test 1 - No graphic at all
// NOTE: it seems to be that scilab creates a figure and axis handle
// regardless of a figures solemn existence, so don't be confused about
// the next three lines of code :)

clf();

expected = struct();
expected = create_figure_struct(expected);
expected.axes = create_axes_struct(expected.figure.handle);
expected.legends = {};
expected.polylines = {};

clf();

computed = gather_graphic_attributes();

assert_checkequal(computed.legends, expected.legends)
assert_checkequal(computed.polylines, expected.polylines)

// <-- NOT FIXED -->
// Test 2 - Gather attributes for single graph
// NOTE: trivial case since create functions are tested already.
// Could be interesting though if find_nodes work and substructs
// are create as necessity instead of hard-coded
x = linspace(0, 2*%pi);

plot(x, sin(x), '-.r')
title("Awesome graphic")
legend(['sin(x)'])
xlabel('x')
ylabel('f(x)')

expected = struct();
expected = create_figure_struct(expected);
expected.axes = create_axes_struct(expected.figure.handle);
expected.legends = create_legends_struct(expected.axes, expected.figure.colormap);
expected.polylines = create_polylines_struct(expected.axes, expected.figure.colormap);

computed = gather_graphic_attributes();

for name = fieldnames(computed)'
  expectedField = getfield(name, expected);
  computedField = getfield(name, computed);
  assert_checkequal(computedField, expectedField)
end

clf();
