// Unit test for dimension string generation
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - Normal values
width = 720;
height = 1100;

expectedWidth = msprintf("width=%.3fcm", width * 2.54 / 122.97);
expectedHeight = msprintf("height=%.3fcm", height * 2.54 / 122.97);

[computedWidth, computedHeight] = generate_dimension_string(width, height);

assert_checkequal([computedWidth, computedHeight], [expectedWidth, expectedHeight])

// Test 2 - Width out of range
width = 800;
recalculatedHeight = (height * 2.54 / 122.97) - (((width * 2.54 / 122.97) - 15) * height/width);

expectedWidth = msprintf("width=%.3fcm", 15);
expectedHeight = msprintf("height=%.3fcm", recalculatedHeight);

[computedWidth, computedHeight] = generate_dimension_string(width, height);

assert_checkequal([computedWidth, computedHeight], [expectedWidth, expectedHeight])

// Test 3 - Height out of range
width = 720;
height = 1200;

recalculatedWidth = (width * 2.54 / 122.97) - (((height * 2.54 / 122.97) - 23) * height/width);

expectedWidth = msprintf("width=%.3fcm", recalculatedWidth);
expectedHeight = msprintf("height=%.3fcm", 23);

[computedWidth, computedHeight] = generate_dimension_string(width, height);

assert_checkequal([computedWidth, computedHeight], [expectedWidth, expectedHeight])
