// Unit test for generating nested strings
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - One element in environment
env = "legend style";
options = {"font"};
values = {"black"};

expected = "legend style = {font=\color{black}}";
computed = generate_nested_string(env, options, values);

assert_checkequal(computed, expected)

// Test 2 - Multiple elements inside
env = "label style";
options = {"font", "do not set this", "align"};
values = {"white", "", "left"};

expected = "label style = {font=\color{white}, do not set this, align=left}";
computed = generate_nested_string(env, options, values);

assert_checkequal(computed, expected)

// Test 3 - Different font types in options
env = "awesome style"
options = {"font", "font"};
values = {"black", 1};

expected = "awesome style = {font=\color{black}, font=\ttfamily}";
computed = generate_nested_string(env, options, values)

assert_checkequal(computed, expected)
