// Unit tests for handling polylines
// Author: Manuel-Tobias Csapo, 2018-2019

//
// Test 1 - Empty graphic

attr.figure = struct("handle", gcf(), ...
                     "size", gcf().figure_size, ...
                     "colormap", gcf().color_map ...
                     );
attr.axes = cell();
attr.axes{1} = struct(...
                      "handle", gca(), ...
                      "visible", gca().visible, ...
                      "children", gca().children, ...
                      "x_bounds", [gca().x_ticks.locations(1), gca().x_ticks.locations($)], ...
                      "y_bounds", [gca().y_ticks.locations(1), gca().y_ticks.locations($)], ...
                      "title", gca().title.text, ...
                      "title_font", gca().title.font_style ...
                      );
attr.legends = cell();
attr.polylines = cell();

expected = [""];
computed = handle_polylines(attr, attr.axes{1})

assert_checkequal(computed, expected)

clf();

// Test 2 - Simple graphic, nonempty
x = linspace(0, 2*%pi);
plot(x, sin(x))
title("to sine or not to sine")

attributes = gather_graphic_attributes();

computed = handle_polylines(attributes, attributes.axes{1});

assert_checkfalse(isempty(computed))
assert_checktrue(typeof(computed) == "string")
